using System;
class HelloWorld
{
    static void Main()
    {
        string [] ulaz = Console.ReadLine().Split(' ');
        long n = long.Parse(ulaz[0]);
        long m = long.Parse(ulaz[1]);
        long ukupno = 2*n + 2*m - 4 + (n-2)*(m-2)/2;
        Console.WriteLine(ukupno);
    }
}